Bug 802017 - busybox not built based on $RPM_OPT_FLAGS
busybox not built based on $RPM_OPT_FLAGS
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denys Vlasenko
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-03-10 04:25 EST by Ville Skyttä
Modified: 2017-02-28 04:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:11:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-03-10 04:25:35 EST
busybox 1.19.4-2 is not built based on $RPM_OPT_FLAGS; it should be using them as the basis and overriding what needs to be overridden so compiler security features etc are used:

http://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

Also, the last changelog entry mentions a proper debuginfo package; however the resulting package doesn't contain any sources and -g is not being used (which would be part of $RPM_OPT_FLAGS) to build so I don't think it's actually useful.

http://fedoraproject.org/wiki/Packaging:Debuginfo
Comment 1 Denys Vlasenko 2012-03-12 11:54:11 EDT
Build with proper debuginfos (I hope):

http://koji.fedoraproject.org/koji/buildinfo?buildID=306693

does it look ok to you, Ville?
Comment 2 Ville Skyttä 2012-03-13 02:55:27 EDT
-g is there now and the debuginfo package looks fine, but there's still no sign of for example security related compiler flags from $RPM_OPT_FLAGS in the gcc lines (-Wp,-D_FORTIFY_SOURCE=2, -fstack-protector)
Comment 3 Fedora End Of Life 2013-04-03 10:41:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Denys Vlasenko 2014-12-16 10:24:11 EST
I hesitate to use $RPM_OPT_FLAGS, I want to generate size-optimized binary.

In the latest build, the following options are used to that effect:

-fomit-frame-pointer -ffunction-sections -fdata-sections -fno-guess-branch-probability -funsigned-char -falign-functions=1 -falign-jumps=1 -falign-labels=1 -falign-loops=1 -fno-unwind-tables -fno-asynchronous-unwind-tables -Os

Using $RPM_OPT_FLAGS will at least change that to -O2.
Comment 5 Denys Vlasenko 2014-12-16 11:29:32 EST
A data point:

Sizes of i686 busybox binary:
With RPM_OPT_FLAGS: 1116588
W/o RPM_OPT_FLAGS: 1350248

RPM_OPT_FLAGS was:
-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables
Comment 6 Ville Skyttä 2014-12-17 07:18:50 EST
There may very well be considerations for busybox for overriding $RPM_OPT_FLAGS. But overriding doesn't mean throwing all of them away. Have you checked the results if the options in comment 4 would *follow* $RPM_OPT_FLAGS (i.e. be specified after them) in the compiler command lines?
Comment 7 Fedora End Of Life 2015-01-09 12:03:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Jan Kurik 2015-07-15 11:10:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Fedora End Of Life 2016-11-24 05:37:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 07:11:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Ville Skyttä 2016-12-22 05:33:07 EST
1.22.1-5 is still affected.
Comment 12 Fedora End Of Life 2017-02-28 04:30:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.